xclade
Admin APIUploads

Get Presigned Upload URL

Get a presigned URL for uploading a file to the configured File Module Provider. The presigned URL can be used to upload files directly to the third-party provider. This only works if your configured provider supports presigned URLs, such as the S3 provider.

POST
/admin/uploads/presigned-urls
AuthorizationBearer <token>

In: header

Request Body

application/json

originalname*string

The file's original name.

size*number

The file's size in bytes.

mime_type*string

The file's mime type.

access?string

The access level of the file. If private, the file will not be publicly accessible. The default value depends on the configured File Module Provider.

Value in"public" | "private"

Response Body

application/json

application/json

text/plain

application/json

application/json

application/json

application/json

curl -X POST "https://{tenant}.api.myxclade.com/admin/uploads/presigned-urls" \  -H "Content-Type: application/json" \  -d '{    "originalname": "string",    "size": 0,    "mime_type": "text/csv"  }'
{
  "url": "string",
  "filename": "string",
  "originalname": "string",
  "mime_type": "text/csv",
  "extension": "csv",
  "size": 0
}

{
  "message": "Discount must be set to dynamic",
  "type": "not_allowed"
}

"Unauthorized"
{
  "message": "Entity with id 1 was not found",
  "type": "not_found"
}
{
  "code": "unknown_error",
  "message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
  "type": "QueryRunnerAlreadyReleasedError"
}
{
  "code": "invalid_request_error",
  "message": "Discount with code TEST already exists.",
  "type": "duplicate_error"
}

{
  "code": "api_error",
  "message": "An error occured while hashing password",
  "type": "database_error"
}